
Cook: backuppc 3.3.2
================================================================================
QA: checking package receipt...
Checking build dependencies...
Installing (pkg/local): par2-0.4
Installing (pkg/local): perl-5.24.0
Extracting source archive "BackupPC-3.3.2.tar.gz"
Executing: compile_rules
CFLAGS   : -march=i486 -Os -pipe -fomit-frame-pointer

Is this a new installation or upgrade for BackupPC?  If this is
an upgrade please tell me the full path of the existing BackupPC
configuration file (eg: /etc/BackupPC/config.pl).  Otherwise, just
hit return.

--> Full path to existing main config.pl []

I found the following locations for these programs:

    bzip2        => /usr/bin/bzip2
    cat          => /bin/cat
    df           => /bin/df
    gtar/tar     => /bin/tar
    gzip         => /bin/gzip
    hostname     => /bin/hostname
    nmblookup    => 
    par2         => /usr/bin/par2
    perl         => /usr/bin/perl
    ping         => /bin/ping
    rsync        => /usr/bin/rsync
    sendmail     => /usr/sbin/sendmail
    smbclient    => 
    split        => /usr/bin/split
    ssh/ssh2     => 

--> Are these paths correct? [y]

Please tell me the hostname of the machine that BackupPC will run on.

--> BackupPC will run on host [localhost]

BackupPC should run as a dedicated user with limited privileges.  You
need to create a user.  This user will need read/write permission on
the main data directory and read/execute permission on the install
directory (these directories will be setup shortly).

The primary group for this user should also be chosen carefully.
The data directories and files will have group read permission,
so group members can access backup files.

--> BackupPC should run as user [www]

Please specify an install directory for BackupPC.  This is where the
BackupPC scripts, library and documentation will be installed.

--> Install directory (full path) [/usr]

Please specify a data directory for BackupPC.  This is where all the
PC backup data is stored.  This file system needs to be big enough to
accommodate all the PCs you expect to backup (eg: at least several GB
per machine).

--> Data directory (full path) [/var/lib/BackupPC]

BackupPC can compress pool files, providing around a 40% reduction in pool
size (your mileage may vary). Specify the compression level (0 turns
off compression, and 1 to 9 represent good/fastest to best/slowest).
The recommended values are 0 (off) or 3 (reasonable compression and speed).
Increasing the compression level to 5 will use around 20% more cpu time
and give perhaps 2-3% more compression.

--> Compression level [3]

BackupPC has a powerful CGI perl interface that runs under Apache.
A single executable needs to be installed in a cgi-bin directory.
This executable needs to run as set-uid www, or
it can be run under mod_perl with Apache running as user www.

Leave this path empty if you don't want to install the CGI interface.

--> CGI bin directory (full path) [/usr/share/BackupPC/cgi]

BackupPC's CGI script needs to display various PNG/GIF images that
should be stored where Apache can serve them.  They should be placed
somewhere under Apache's DocumentRoot.  BackupPC also needs to know
the URL to access these images.  Example:

    Apache image directory:  /var/www/htdocs/BackupPC
    URL for image directory: /BackupPC

The URL for the image directory should start with a slash.

--> Apache image directory (full path) [/usr/share/BackupPC/www]
--> URL for image directory (omit http://host; starts with '/') [/BackupPC/img]

Ok, we're about to:

  - install the binaries, lib and docs in /usr,
  - create the data directory /var/lib/BackupPC,
  - create/update the config.pl file /etc/BackupPC/config.pl,
  - optionally install the cgi-bin interface.

--> Do you want to continue? [y]
Created /home/slitaz/wok/backuppc/install/usr/bin
Created /home/slitaz/wok/backuppc/install/usr/share/BackupPC/doc
Created /home/slitaz/wok/backuppc/install/usr/lib/BackupPC/CGI
Created /home/slitaz/wok/backuppc/install/usr/lib/BackupPC/Config
Created /home/slitaz/wok/backuppc/install/usr/lib/BackupPC/Lang
Created /home/slitaz/wok/backuppc/install/usr/lib/BackupPC/Storage
Created /home/slitaz/wok/backuppc/install/usr/lib/BackupPC/Xfer
Created /home/slitaz/wok/backuppc/install/usr/lib/BackupPC/Zip
Created /home/slitaz/wok/backuppc/install/usr/lib/Net/FTP
Created /home/slitaz/wok/backuppc/install/usr/share/BackupPC/www
Created /home/slitaz/wok/backuppc/install/var/lib/BackupPC
Created /home/slitaz/wok/backuppc/install/var/lib/BackupPC/pool
Created /home/slitaz/wok/backuppc/install/var/lib/BackupPC/cpool
Created /home/slitaz/wok/backuppc/install/var/lib/BackupPC/pc
Created /home/slitaz/wok/backuppc/install/var/lib/BackupPC/trash
Created /home/slitaz/wok/backuppc/install/etc/BackupPC
Created /home/slitaz/wok/backuppc/install/var/log/BackupPC
Installing binaries in /home/slitaz/wok/backuppc/install/usr/bin
Installing library in /home/slitaz/wok/backuppc/install/usr/lib
Installing images in /home/slitaz/wok/backuppc/install/usr/share/BackupPC/www
Making init.d scripts
Making Apache configuration file for suid-perl
Installing docs in /home/slitaz/wok/backuppc/install/usr/share/BackupPC/doc
Installing config.pl and hosts in /home/slitaz/wok/backuppc/install/etc/BackupPC
PING localhost (127.0.0.1): 56 data bytes
64 bytes from 127.0.0.1: seq=0 ttl=64 time=0.109 ms

--- localhost ping statistics ---
1 packets transmitted, 1 packets received, 0% packet loss
round-trip min/avg/max = 0.109/0.109/0.109 ms
Installing cgi script BackupPC_Admin in /home/slitaz/wok/backuppc/install/usr/share/BackupPC/cgi

Ok, it looks like we are finished.  There are several more things you
will need to do:

  - Browse through the config file, /etc/BackupPC/config.pl,
    and make sure all the settings are correct.  In particular,
    you will need to set $Conf{CgiAdminUsers} so you have
    administration privileges in the CGI interface.

  - Edit the list of hosts to backup in /etc/BackupPC/hosts.

  - Read the documentation in /usr/share/BackupPC/doc/BackupPC.html.
    Please pay special attention to the security section.

  - Verify that the CGI script BackupPC_Admin runs correctly.  You might
    need to change the permissions or group ownership of BackupPC_Admin.
    If this is an upgrade and you are using mod_perl, you will need
    to restart Apache.  Otherwise it will have stale code.

  - BackupPC should be ready to start.  Don't forget to run it
    as user www!  The installation also contains an
    init.d/backuppc script that can be copied to /etc/init.d
    so that BackupPC can auto-start on boot.  This will also enable
    administrative users to start the server from the CGI interface.
    See init.d/README.

Enjoy!
================================================================================

Installing (pkg/local): lcms2-2.8
Installing (pkg/local): libpng-1.6.28
Installing (pkg/local): pngquant-2.8.2
Installing (pkg/local): optipng-0.7.6
Compressing png images...                                              Done
  Time: 7.70s. Size: 2230 B -> 2049 B. Save: 0 KB. Cache hit: 4/4.
================================================================================


Build dependencies to remove: 6
Removing: lcms2 libpng optipng par2 perl pngquant


Pack: backuppc 3.3.2
================================================================================
Executing: genpkg_rules
Copying "receipt"...                                                   Done
Executing strip on all files...                                        Done
  Time: 2.06s. Size: 1824582 B -> 1633358 B. Save: 187 KB.
Creating the list of files...                                          Done
Creating md5sum of files...                                            Done
Compressing the FS...                                                  Done
Updating receipt sizes...                                              Done
Creating full cpio archive...                                          Done
Restoring original package tree...                                     Done
QA: checking for empty package...                                      Done
Removing old package "backuppc-3.3.2.tazpkg"                           Done
================================================================================
Package "backuppc-3.3.2.tazpkg" created

Summary for: backuppc 3.3.2
================================================================================
Source dir  : 2.6M
Src file    : BackupPC-3.3.2.tar.gz
Src size    : 548.0K
Produced    : 2.4M
Packed      : 2.3M
Compressed  : 295.9K
Files       : 127
Cook time   : 20s
Cook date   : 2017-05-12 11:33
Host arch   : i486
================================================================================

Post-check
================================================================================
Checking build...                                                      Done
Checking 'any' arch...                                                 Failed
Checking libtool in source/backuppc-3.3.2...                           Done
Checking site script in source/backuppc-3.3.2...                       Done
Checking ownership in install...                                       Failed
  Problems found:
  80:80:/etc/BackupPC/config.pl 
  80:80:/etc/BackupPC/hosts 
  80:80:/usr/bin/BackupPC 
  80:80:/usr/bin/BackupPC_archive 
  80:80:/usr/bin/BackupPC_archiveHost 
  80:80:/usr/bin/BackupPC_archiveStart 
  80:80:/usr/bin/BackupPC_attribPrint 
  80:80:/usr/bin/BackupPC_dump 
  80:80:/usr/bin/BackupPC_fixupBackupSummary 
  80:80:/usr/bin/BackupPC_link 
  80:80:/usr/bin/BackupPC_nightly 
  80:80:/usr/bin/BackupPC_restore 
  80:80:/usr/bin/BackupPC_sendEmail 
  80:80:/usr/bin/BackupPC_serverMesg 
  80:80:/usr/bin/BackupPC_tarCreate 
  80:80:/usr/bin/BackupPC_tarExtract 
  80:80:/usr/bin/BackupPC_tarPCCopy 
  80:80:/usr/bin/BackupPC_trashClean 
  80:80:/usr/bin/BackupPC_zcat 
  80:80:/usr/bin/BackupPC_zipCreate 
  80:80:/usr/lib/BackupPC/Attrib.pm 
  80:80:/usr/lib/BackupPC/CGI/AdminOptions.pm 
  80:80:/usr/lib/BackupPC/CGI/Archive.pm 
  80:80:/usr/lib/BackupPC/CGI/ArchiveInfo.pm 
  80:80:/usr/lib/BackupPC/CGI/Browse.pm 
  80:80:/usr/lib/BackupPC/CGI/DirHistory.pm 
  80:80:/usr/lib/BackupPC/CGI/EditConfig.pm 
  80:80:/usr/lib/BackupPC/CGI/EmailSummary.pm 
  80:80:/usr/lib/BackupPC/CGI/GeneralInfo.pm 
  80:80:/usr/lib/BackupPC/CGI/HostInfo.pm 
  80:80:/usr/lib/BackupPC/CGI/LOGlist.pm 
  80:80:/usr/lib/BackupPC/CGI/Lib.pm 
  80:80:/usr/lib/BackupPC/CGI/Queue.pm 
  80:80:/usr/lib/BackupPC/CGI/RSS.pm 
  80:80:/usr/lib/BackupPC/CGI/ReloadServer.pm 
  80:80:/usr/lib/BackupPC/CGI/Restore.pm 
  80:80:/usr/lib/BackupPC/CGI/RestoreFile.pm 
  80:80:/usr/lib/BackupPC/CGI/RestoreInfo.pm 
  80:80:/usr/lib/BackupPC/CGI/StartServer.pm 
  80:80:/usr/lib/BackupPC/CGI/StartStopBackup.pm 
  80:80:/usr/lib/BackupPC/CGI/StopServer.pm 
  80:80:/usr/lib/BackupPC/CGI/Summary.pm 
  80:80:/usr/lib/BackupPC/CGI/View.pm 
  80:80:/usr/lib/BackupPC/Config.pm 
  80:80:/usr/lib/BackupPC/Config/Meta.pm 
  80:80:/usr/lib/BackupPC/FileZIO.pm 
  80:80:/usr/lib/BackupPC/Lang/cz.pm 
  80:80:/usr/lib/BackupPC/Lang/de.pm 
  80:80:/usr/lib/BackupPC/Lang/en.pm 
  80:80:/usr/lib/BackupPC/Lang/es.pm 
  80:80:/usr/lib/BackupPC/Lang/fr.pm 
  80:80:/usr/lib/BackupPC/Lang/it.pm 
  80:80:/usr/lib/BackupPC/Lang/ja.pm 
  80:80:/usr/lib/BackupPC/Lang/nl.pm 
  80:80:/usr/lib/BackupPC/Lang/pl.pm 
  80:80:/usr/lib/BackupPC/Lang/pt_br.pm 
  80:80:/usr/lib/BackupPC/Lang/ru.pm 
  80:80:/usr/lib/BackupPC/Lang/uk.pm 
  80:80:/usr/lib/BackupPC/Lang/zh_CN.pm 
  80:80:/usr/lib/BackupPC/Lib.pm 
  80:80:/usr/lib/BackupPC/PoolWrite.pm 
  80:80:/usr/lib/BackupPC/Storage.pm 
  80:80:/usr/lib/BackupPC/Storage/Text.pm 
  80:80:/usr/lib/BackupPC/View.pm 
  80:80:/usr/lib/BackupPC/Xfer.pm 
  80:80:/usr/lib/BackupPC/Xfer/Archive.pm 
  80:80:/usr/lib/BackupPC/Xfer/Ftp.pm 
  80:80:/usr/lib/BackupPC/Xfer/Protocol.pm 
  80:80:/usr/lib/BackupPC/Xfer/Rsync.pm 
  80:80:/usr/lib/BackupPC/Xfer/RsyncDigest.pm 
  80:80:/usr/lib/BackupPC/Xfer/RsyncFileIO.pm 
  80:80:/usr/lib/BackupPC/Xfer/Smb.pm 
  80:80:/usr/lib/BackupPC/Xfer/Tar.pm 
  80:80:/usr/lib/BackupPC/Zip/FileMember.pm 
  80:80:/usr/lib/Net/FTP/AutoReconnect.pm 
  80:80:/usr/lib/Net/FTP/RetrHandle.pm 
  80:80:/usr/share/BackupPC/cgi/BackupPC_Admin 
  80:80:/usr/share/BackupPC/doc/BackupPC.html 
  80:80:/usr/share/BackupPC/doc/BackupPC.pod 
  80:80:/usr/share/BackupPC/www/0000000.gif 
  80:80:/usr/share/BackupPC/www/0000011.gif 
  80:80:/usr/share/BackupPC/www/0001000.gif 
  80:80:/usr/share/BackupPC/www/0010000.gif 
  80:80:/usr/share/BackupPC/www/0010001.gif 
  80:80:/usr/share/BackupPC/www/0011000.gif 
  80:80:/usr/share/BackupPC/www/0011001.gif 
  80:80:/usr/share/BackupPC/www/1000000.gif 
  80:80:/usr/share/BackupPC/www/1000100.gif 
  80:80:/usr/share/BackupPC/www/1001000.gif 
  80:80:/usr/share/BackupPC/www/1001100.gif 
  80:80:/usr/share/BackupPC/www/1010000.gif 
  80:80:/usr/share/BackupPC/www/1010001.gif 
  80:80:/usr/share/BackupPC/www/1011000.gif 
  80:80:/usr/share/BackupPC/www/1100000.gif 
  80:80:/usr/share/BackupPC/www/1100100.gif 
  80:80:/usr/share/BackupPC/www/1100101.gif 
  80:80:/usr/share/BackupPC/www/1100110.gif 
  80:80:/usr/share/BackupPC/www/1100111.gif 
  80:80:/usr/share/BackupPC/www/1101000.gif 
  80:80:/usr/share/BackupPC/www/1101100.gif 
  80:80:/usr/share/BackupPC/www/1101101.gif 
  80:80:/usr/share/BackupPC/www/1101110.gif 
  80:80:/usr/share/BackupPC/www/1101111.gif 
  80:80:/usr/share/BackupPC/www/1110000.gif 
  80:80:/usr/share/BackupPC/www/1110001.gif 
  80:80:/usr/share/BackupPC/www/1110100.gif 
  80:80:/usr/share/BackupPC/www/1110101.gif 
  80:80:/usr/share/BackupPC/www/1110110.gif 
  80:80:/usr/share/BackupPC/www/1110111.gif 
  80:80:/usr/share/BackupPC/www/1111000.gif 
  80:80:/usr/share/BackupPC/www/1111001.gif 
  80:80:/usr/share/BackupPC/www/1111100.gif 
  80:80:/usr/share/BackupPC/www/1111101.gif 
  80:80:/usr/share/BackupPC/www/1111110.gif 
  80:80:/usr/share/BackupPC/www/1111111.gif 
  80:80:/usr/share/BackupPC/www/BackupPC_stnd.css 
  80:80:/usr/share/BackupPC/www/BackupPC_stnd_orig.css 
  80:80:/usr/share/BackupPC/www/favicon.ico 
  80:80:/usr/share/BackupPC/www/logo.gif 
  80:80:/usr/share/BackupPC/www/sorttable.js 
Checking permissions in install...                                     Failed
  Problems found:
  0750 /etc/BackupPC/
  0640 /etc/BackupPC/config.pl
  0555 /usr/bin/BackupPC
  0555 /usr/bin/BackupPC_archive
  0555 /usr/bin/BackupPC_archiveHost
  0555 /usr/bin/BackupPC_archiveStart
  0555 /usr/bin/BackupPC_attribPrint
  0555 /usr/bin/BackupPC_dump
  0555 /usr/bin/BackupPC_fixupBackupSummary
  0555 /usr/bin/BackupPC_link
  0555 /usr/bin/BackupPC_nightly
  0555 /usr/bin/BackupPC_restore
  0555 /usr/bin/BackupPC_sendEmail
  0555 /usr/bin/BackupPC_serverMesg
  0555 /usr/bin/BackupPC_tarCreate
  0555 /usr/bin/BackupPC_tarExtract
  0555 /usr/bin/BackupPC_tarPCCopy
  0555 /usr/bin/BackupPC_trashClean
  0555 /usr/bin/BackupPC_zcat
  0555 /usr/bin/BackupPC_zipCreate
  0444 /usr/lib/BackupPC/Attrib.pm
  0444 /usr/lib/BackupPC/CGI/AdminOptions.pm
  0444 /usr/lib/BackupPC/CGI/Archive.pm
  0444 /usr/lib/BackupPC/CGI/ArchiveInfo.pm
  0444 /usr/lib/BackupPC/CGI/Browse.pm
  0444 /usr/lib/BackupPC/CGI/DirHistory.pm
  0444 /usr/lib/BackupPC/CGI/EditConfig.pm
  0444 /usr/lib/BackupPC/CGI/EmailSummary.pm
  0444 /usr/lib/BackupPC/CGI/GeneralInfo.pm
  0444 /usr/lib/BackupPC/CGI/HostInfo.pm
  0444 /usr/lib/BackupPC/CGI/LOGlist.pm
  0444 /usr/lib/BackupPC/CGI/Lib.pm
  0444 /usr/lib/BackupPC/CGI/Queue.pm
  0444 /usr/lib/BackupPC/CGI/RSS.pm
  0444 /usr/lib/BackupPC/CGI/ReloadServer.pm
  0444 /usr/lib/BackupPC/CGI/Restore.pm
  0444 /usr/lib/BackupPC/CGI/RestoreFile.pm
  0444 /usr/lib/BackupPC/CGI/RestoreInfo.pm
  0444 /usr/lib/BackupPC/CGI/StartServer.pm
  0444 /usr/lib/BackupPC/CGI/StartStopBackup.pm
  0444 /usr/lib/BackupPC/CGI/StopServer.pm
  0444 /usr/lib/BackupPC/CGI/Summary.pm
  0444 /usr/lib/BackupPC/CGI/View.pm
  0444 /usr/lib/BackupPC/Config.pm
  0444 /usr/lib/BackupPC/Config/Meta.pm
  0444 /usr/lib/BackupPC/FileZIO.pm
  0444 /usr/lib/BackupPC/Lang/cz.pm
  0444 /usr/lib/BackupPC/Lang/de.pm
  0444 /usr/lib/BackupPC/Lang/en.pm
  0444 /usr/lib/BackupPC/Lang/es.pm
  0444 /usr/lib/BackupPC/Lang/fr.pm
  0444 /usr/lib/BackupPC/Lang/it.pm
  0444 /usr/lib/BackupPC/Lang/ja.pm
  0444 /usr/lib/BackupPC/Lang/nl.pm
  0444 /usr/lib/BackupPC/Lang/pl.pm
  0444 /usr/lib/BackupPC/Lang/pt_br.pm
  0444 /usr/lib/BackupPC/Lang/ru.pm
  0444 /usr/lib/BackupPC/Lang/uk.pm
  0444 /usr/lib/BackupPC/Lang/zh_CN.pm
  0444 /usr/lib/BackupPC/Lib.pm
  0444 /usr/lib/BackupPC/PoolWrite.pm
  0444 /usr/lib/BackupPC/Storage.pm
  0444 /usr/lib/BackupPC/Storage/Text.pm
  0444 /usr/lib/BackupPC/View.pm
  0444 /usr/lib/BackupPC/Xfer.pm
  0444 /usr/lib/BackupPC/Xfer/Archive.pm
  0444 /usr/lib/BackupPC/Xfer/Ftp.pm
  0444 /usr/lib/BackupPC/Xfer/Protocol.pm
  0444 /usr/lib/BackupPC/Xfer/Rsync.pm
  0444 /usr/lib/BackupPC/Xfer/RsyncDigest.pm
  0444 /usr/lib/BackupPC/Xfer/RsyncFileIO.pm
  0444 /usr/lib/BackupPC/Xfer/Smb.pm
  0444 /usr/lib/BackupPC/Xfer/Tar.pm
  0444 /usr/lib/BackupPC/Zip/FileMember.pm
  0444 /usr/lib/Net/FTP/AutoReconnect.pm
  0444 /usr/lib/Net/FTP/RetrHandle.pm
  4554 /usr/share/BackupPC/cgi/BackupPC_Admin
  0444 /usr/share/BackupPC/doc/BackupPC.html
  0444 /usr/share/BackupPC/doc/BackupPC.pod
  0444 /usr/share/BackupPC/www/0000000.gif
  0444 /usr/share/BackupPC/www/0000011.gif
  0444 /usr/share/BackupPC/www/0001000.gif
  0444 /usr/share/BackupPC/www/0010000.gif
  0444 /usr/share/BackupPC/www/0010001.gif
  0444 /usr/share/BackupPC/www/0011000.gif
  0444 /usr/share/BackupPC/www/0011001.gif
  0444 /usr/share/BackupPC/www/1000000.gif
  0444 /usr/share/BackupPC/www/1000100.gif
  0444 /usr/share/BackupPC/www/1001000.gif
  0444 /usr/share/BackupPC/www/1001100.gif
  0444 /usr/share/BackupPC/www/1010000.gif
  0444 /usr/share/BackupPC/www/1010001.gif
  0444 /usr/share/BackupPC/www/1011000.gif
  0444 /usr/share/BackupPC/www/1100000.gif
  0444 /usr/share/BackupPC/www/1100100.gif
  0444 /usr/share/BackupPC/www/1100101.gif
  0444 /usr/share/BackupPC/www/1100110.gif
  0444 /usr/share/BackupPC/www/1100111.gif
  0444 /usr/share/BackupPC/www/1101000.gif
  0444 /usr/share/BackupPC/www/1101100.gif
  0444 /usr/share/BackupPC/www/1101101.gif
  0444 /usr/share/BackupPC/www/1101110.gif
  0444 /usr/share/BackupPC/www/1101111.gif
  0444 /usr/share/BackupPC/www/1110000.gif
  0444 /usr/share/BackupPC/www/1110001.gif
  0444 /usr/share/BackupPC/www/1110100.gif
  0444 /usr/share/BackupPC/www/1110101.gif
  0444 /usr/share/BackupPC/www/1110110.gif
  0444 /usr/share/BackupPC/www/1110111.gif
  0444 /usr/share/BackupPC/www/1111000.gif
  0444 /usr/share/BackupPC/www/1111001.gif
  0444 /usr/share/BackupPC/www/1111100.gif
  0444 /usr/share/BackupPC/www/1111101.gif
  0444 /usr/share/BackupPC/www/1111110.gif
  0444 /usr/share/BackupPC/www/1111111.gif
  0444 /usr/share/BackupPC/www/BackupPC_stnd.css
  0444 /usr/share/BackupPC/www/BackupPC_stnd_orig.css
  0444 /usr/share/BackupPC/www/favicon.ico
  0444 /usr/share/BackupPC/www/logo.gif
  0444 /usr/share/BackupPC/www/sorttable.js
  0750 /var/
  0750 /var/lib/
  0750 /var/lib/BackupPC/
  0750 /var/lib/BackupPC/cpool/
  0750 /var/lib/BackupPC/pc/
  0750 /var/lib/BackupPC/pool/
  0750 /var/lib/BackupPC/trash/
  0750 /var/log/
  0750 /var/log/BackupPC/
Checking broken symlinks in install...                                 Done
Querying Repology...                                                   Done
Updating activity log...                                               Done
================================================================================

